Bulk import of user events. Request processing might be synchronous. Events that already exist are skipped. Use this method for backfilling historical user events.
Operation.response is of type ImportResponse. Note that it is possible for a subset of the items to be successfully inserted. Operation.metadata is of type ImportMetadata.
HTTP request
POST https://discoveryengine.googleapis.com/v1alpha/{parent=projects/*/locations/*/dataStores/*}/userEvents:import
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Parent DataStore resource name, of the form |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "errorConfig": { object ( |
| Fields | |
|---|---|
errorConfig |
The desired location of errors incurred during the Import. Cannot be set for inline user event imports. |
| Required - The desired input source of the user event data. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
inlineSource |
The Inline source for the input content for UserEvents. |
gcsSource |
Cloud Storage location for the input content. |
bigquerySource |
BigQuery input source. |
| End of mutually exclusive fields. | |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/discoveryengine.assist.readwritehttps://www.googleapis.com/auth/discoveryengine.readwritehttps://www.googleapis.com/auth/discoveryengine.serving.readwrite
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
discoveryengine.userEvents.import
For more information, see the IAM documentation.